webpackJsonp([1],{

/***/ 274:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(34);


/***/ }),

/***/ 34:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * cdzhengwujiang 2017/03/21
 */

__webpack_require__(28);
__webpack_require__(29);
__webpack_require__(30);

var polyfill = __webpack_require__(20);
polyfill.install();

window.ChatList = {};

// SDK端全局命名空间及M-SDK桥
window.SCSSDK = window.SCSSDK || {};
window.SCSSDK.bridge = __webpack_require__(25);

// 扩展SCSSDK对象，增加util属性
SCSSDK.util = __webpack_require__(27);

// 扩展SCSSDK对象，增加http模块
SCSSDK.http = __webpack_require__(26);

var MemberList = __webpack_require__(43);
ChatList.memberList = MemberList.init();

SCSSDK.chatList = __webpack_require__(57);

/***/ }),

/***/ 43:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var $ = __webpack_require__(0);

var EV = {
    touchstart: 'ontouchstart' in window ? 'touchstart' : 'mousedown',
    touchend: 'ontouchend' in window ? 'touchend' : 'mouseup',
    touchmove: 'ontouchmove' in window ? 'touchmove' : 'mousemove'
};

var ContactsList = {
    init: function init() {
        this.$list = $('#J_ContactList');
        SCSSDK.bridge.configs.isSdkCallPoup = !!0;
        this.bindEvent();
        return this;
    },
    bindEvent: function bindEvent() {
        var that = this;
        that.$list.on(EV.touchstart, '.J_Contacts', function () {
            var $this = $(this);
            $this.addClass('hover');
        }).on(EV.touchend, '.J_Contacts', function () {
            var $this = $(this);
            $this.removeClass('hover');
        }).on('click', '.J_Contacts', function () {
            var $this = $(this);
            var aid = $this.attr('data-app-id');
            var vid = $this.attr('data-vender-id');
            var gid = $this.attr('data-group-id');
            var pid = $this.attr('data-pid');
            var vName = $this.attr('data-name');
            // var mt = $this.attr('data-mt');
            var vLabel = $this.attr('data-vender-label');
            var online = $this.attr('data-online');
            var avatar = $this.attr('data-avatar');
            var st = $this.attr('data-session-type');
            if (SCSSDK.bridge.hasMethod('startSdkWork')) {
                SCSSDK.bridge.callSdk('startSdkWork', {
                    action: 'toChat',
                    data: {
                        appId: aid,
                        pid: pid,
                        groupId: gid,
                        venderId: vid,
                        venderName: vName,
                        // 会话列表页固定entry
                        entry: 'sdk_recent',
                        venderLabel: vLabel,
                        sessionType: st,
                        avatar: avatar,
                        online: online
                    }
                });
            }
        });
    }
};

module.exports = ContactsList;

/***/ }),

/***/ 57:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var $ = __webpack_require__(0);
var Tmpl = __webpack_require__(13);
var TmplPlus = __webpack_require__(14);
var utils = __webpack_require__(1);

var itemTpl = $('#J_ItemTpl').html();
var memList = ChatList.memberList.$list;

Tmpl.install($);
TmplPlus.install($);

var sdkList = {
    parseTime: function parseTime(timestamp) {
        var timeObj;
        var formatTime;
        var timeArr;
        var rs;
        if (!timestamp) {
            return '';
        }
        timeObj = new Date(timestamp);
        formatTime = utils.formatTime(timeObj);
        timeArr = formatTime.split(' ');
        rs = timeArr[0];
        if (rs.match(/^\d{4}/)) {
            rs = rs.substr(5);
        }
        return rs;
    },
    parseContent: function parseContent(msg) {
        var content = '';
        msg = msg || {};
        switch (msg.type) {
            case 'text':
            case 'html':
            case 'system':
                content = msg.content || msg.html || '';
                // 删除消息中第一个为闭合类型的标签，如：</p>
                content = content.replace(/(^[^<]+)<\/[^>]+>/, '$1');
                // 替换会话列表中消息的a标签，避免点击触发两个跳转
                content = content.replace(/(<)a(\s+[\s\S]*?>.*?<\/)a(>)/g, '$1span$2span$3');
                // 替换消息中的表情code为可识别文字
                content = content.replace(SCSSDK.bridge.configs.rEmoji, '[表情]');
                break;
            case 'image':
                content = '[图片]';
                break;
            case 'file':
                content = '[文件]';
                break;
            case 'shake':
                content = '[震动]';
                break;
            case 'voice':
                content = '[语音]';
                break;
            case 'video':
                content = '[视频]';
                break;
            case 'link':
                content = '[链接]' + msg.title;
                break;
            case 'location':
                content = '[位置]' + msg.label;
                break;
            case 'risk':
                content = '[风控验证码]';
                break;
            case 'template':
                content = '[模板消息]';
                break;
            case 'chat_invite_evaluate':
                content = '[邀评]';
                break;
            default:
                content = '[未知的消息类型]';
                break;
        }
        return content;
    },
    parse: function parse(msg) {
        // var time = isNaN(+msg.time) ? new Date().getTime() : +msg.time;
        // msg.time = this.parseTime(time);
        // return msg;
        var msgBody = msg.msg ? SCSSDK.util.parse(msg.msg) : {};
        var msgObj = {};
        var time;
        var prevConts = '';
        msgBody.message = msgBody.message ? msgBody.message.body || {} : msgBody.body || {};
        time = msgBody.datetime ? new Date(msgBody.datetime.replace(/-/g, '/')).getTime() : '';
        msgObj.msgId = msg.msgId || msgBody.id || '';
        msgObj.venderId = msg.venderId || msgBody.venderId || '', msgObj.venderType = msg.venderType || 1;
        msgObj.venderLabel = msg.venderLabel || msgBody.venderLabel || '';
        msgObj.venderName = msg.venderName || msgBody.venderName || '客户服务';
        msgObj.sessionType = msg.sessionType || '';
        msgObj.msgType = msg.msgType || msgBody.message.type || 'text';
        prevConts = utils.isEmpty(msgBody.message) ? '' : this.parseContent(msgBody.message);
        // 过滤顾客某某加入咨询
        if (prevConts.match(SCSSDK.bridge.configs.entryChat) || prevConts.match(SCSSDK.bridge.configs.helloRegex)) {
            prevConts = '';
        }
        msgObj.content = prevConts;
        msgObj.time = this.parseTime(time);
        msgObj.appId = msg.appId || msgBody.appId || '';
        // TODO
        msgObj.clientType = msg.clientType || 'ios';
        msgObj.pid = msg.pid || '';
        msgObj.groupId = msg.groupId || '';
        msgObj.online = msg.online || 1;
        msgObj.state = msg.state || 0;
        msgObj.avatar = msg.avatar || 'http://img14.360buyimg.com/cms/jfs/t5134/315/591419611/8894/79b76f82/5902afbfN552e0c61.png';
        msgObj.count = msg.count || 0;

        return msgObj;
    },
    msgPipe: function msgPipe(msg) {
        var id;
        var mItem;
        msg = SCSSDK.util.parse(msg);
        msg = this.parse(msg);
        id = msg.venderId || '';
        mItem = memList.find('.J_Contacts[data-vender-id="' + id + '"]');
        if (mItem.length) {
            this.updateList(mItem, msg);
        } else {
            this.createList(msg);
        }
    },
    updateList: function updateList(item, msg) {
        var newItem = $.tmpl(itemTpl, msg);
        var sbs = item.siblings();
        item.insertBefore(sbs.eq(0));
        item.replaceWith(newItem);
    },
    createList: function createList(msg) {
        var newItem = $.tmpl(itemTpl, msg);
        var items = memList.children();
        if (items.length) {
            newItem.insertBefore(items.eq(0));
        } else {
            newItem.appendTo(memList);
        }
    },
    renderList: function renderList(list) {
        var that = this;
        list = SCSSDK.util.parse(list);
        if (!utils.isArray(list)) {
            throw new Error('参数list必须是一个数组。');
        }
        memList.html('');
        for (var idx = list.length - 1; idx >= 0; idx--) {
            var _msg = SCSSDK.util.parse(list[idx]);
            that.msgPipe(_msg);
        }
        // $.each(list, function(idx, msg) {
        //     var _msg = SCSSDK.util.parse(msg);
        //     if (_msg.msg) {
        //         that.msgPipe(_msg);
        //     }
        // });
    },
    removeItem: function removeItem(venderId) {
        var $item = memList.find('.J_Contacts[data-vender-id="' + venderId + '"]');
        if ($item.length) {
            $item.remove();
        }
    }
};

module.exports = sdkList;

/***/ })

},[274]);
//# sourceMappingURL=list.9023e1676ff57f0fe460.js.map